<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>TransaccionRif4.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4</a> &gt; <span class="el_source">TransaccionRif4.java</span></div><h1>TransaccionRif4.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4;

import com.bbva.jee.arq.spring.core.host.InvocadorTransaccion;
import com.bbva.jee.arq.spring.core.host.ServicioTransacciones;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Invocador de la transacci&amp;oacute;n &lt;code&gt;RIF4&lt;/code&gt;
 * 
 * @see PeticionTransaccionRif4
 * @see RespuestaTransaccionRif4
 */
@Component
<span class="nc" id="L15">public class TransaccionRif4 implements InvocadorTransaccion&lt;PeticionTransaccionRif4,RespuestaTransaccionRif4&gt; {</span>
	
	@Autowired
	private ServicioTransacciones servicioTransacciones;
	
	@Override
	public RespuestaTransaccionRif4 invocar(PeticionTransaccionRif4 transaccion) {
<span class="nc" id="L22">		return servicioTransacciones.invocar(PeticionTransaccionRif4.class, RespuestaTransaccionRif4.class, transaccion);</span>
	}
	
	@Override
	public RespuestaTransaccionRif4 invocarCache(PeticionTransaccionRif4 transaccion) {
<span class="nc" id="L27">		return servicioTransacciones.invocar(PeticionTransaccionRif4.class, RespuestaTransaccionRif4.class, transaccion);</span>
	}
	
	@Override
	public void vaciarCache() {
		//this method does not have to be used anymore
<span class="nc" id="L33">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>